<?php

namespace Drupal\self_evaluation\Form;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Form controller for the self evaluation computed thematic score entity edit forms.
 */
class SelfComputedThematicScoreForm extends ContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {

    $entity = $this->getEntity();
    $result = $entity->save();
    $link = $entity->toLink($this->t('View'))->toRenderable();

    $message_arguments = ['%label' => $this->entity->label()];
    $logger_arguments = $message_arguments + ['link' => render($link)];

    if ($result == SAVED_NEW) {
      $this->messenger()->addStatus($this->t('New self evaluation computed thematic score %label has been created.', $message_arguments));
      $this->logger('self_computed_thematic_score')->notice('Created new self evaluation computed thematic score %label', $logger_arguments);
    }
    else {
      $this->messenger()->addStatus($this->t('The self evaluation computed thematic score %label has been updated.', $message_arguments));
      $this->logger('self_computed_thematic_score')->notice('Updated new self evaluation computed thematic score %label.', $logger_arguments);
    }

    $form_state->setRedirect('entity.self_computed_thematic_score.canonical', ['self_computed_thematic_score' => $entity->id()]);
  }

}
