<?php

namespace Drupal\self_evaluation\Form;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Form controller for the self evaluation user choices entity edit forms.
 */
class SelfEvaluationUserChoicesForm extends ContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {

    $entity = $this->getEntity();
    $result = $entity->save();
    $link = $entity->toLink($this->t('View'))->toRenderable();

    $message_arguments = ['%label' => $this->entity->label()];
    $logger_arguments = $message_arguments + ['link' => render($link)];

    if ($result == SAVED_NEW) {
      $this->messenger()->addStatus($this->t('New self evaluation user choices %label has been created.', $message_arguments));
      $this->logger('self_evaluation_user_choices')->notice('Created new self evaluation user choices %label', $logger_arguments);
    }
    else {
      $this->messenger()->addStatus($this->t('The self evaluation user choices %label has been updated.', $message_arguments));
      $this->logger('self_evaluation_user_choices')->notice('Updated new self evaluation user choices %label.', $logger_arguments);
    }

    $form_state->setRedirect('entity.self_evaluation_user_choices.canonical', ['self_evaluation_user_choices' => $entity->id()]);
  }

}
