<?php

namespace Drupal\self_evaluation;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\user\EntityOwnerInterface;
use Drupal\Core\Entity\EntityChangedInterface;

/**
 * Provides an interface defining a self evaluation answer entity type.
 */
interface SelfEvaluationAnswerInterface extends ContentEntityInterface, EntityOwnerInterface, EntityChangedInterface {

  /**
   * Gets the self evaluation answer creation timestamp.
   *
   * @return int
   *   Creation timestamp of the self evaluation answer.
   */
  public function getCreatedTime();

  /**
   * Sets the self evaluation answer creation timestamp.
   *
   * @param int $timestamp
   *   The self evaluation answer creation timestamp.
   *
   * @return \Drupal\self_evaluation\SelfEvaluationAnswerInterface
   *   The called self evaluation answer entity.
   */
  public function setCreatedTime($timestamp);

  /**
   * Returns the self evaluation answer status.
   *
   * @return bool
   *   TRUE if the self evaluation answer is enabled, FALSE otherwise.
   */
  public function isEnabled();

  /**
   * Sets the self evaluation answer status.
   *
   * @param bool $status
   *   TRUE to enable this self evaluation answer, FALSE to disable.
   *
   * @return \Drupal\self_evaluation\SelfEvaluationAnswerInterface
   *   The called self evaluation answer entity.
   */
  public function setStatus($status);

}
