<?php

namespace Drupal\self_evaluation;

use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Provides an interface defining a self evaluation question choice entity type.
 */
interface SelfEvaluationQuestionChoiceInterface extends ContentEntityInterface {

  /**
   * Gets the self evaluation question choice title.
   *
   * @return string
   *   Title of the self evaluation question choice.
   */
  public function getTitle();

  /**
   * Sets the self evaluation question choice title.
   *
   * @param string $title
   *   The self evaluation question choice title.
   *
   * @return \Drupal\self_evaluation\SelfEvaluationQuestionChoiceInterface
   *   The called self evaluation question choice entity.
   */
  public function setTitle($title);

}
