<?php

namespace Drupal\self_evaluation;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface defining a self evaluation reminder entity type.
 */
interface SelfEvaluationReminderInterface extends ContentEntityInterface, EntityOwnerInterface {

  /**
   * Gets the self evaluation reminder creation timestamp.
   *
   * @return int
   *   Creation timestamp of the self evaluation reminder.
   */
  public function getCreatedTime(): int;

  /**
   * Gets the self evaluation related to the reminder.
   *
   * @return \Drupal\self_evaluation\SelfEvaluationInterface
   *   The self evaluation entity.
   */
  public function getSelfEvaluation(): SelfEvaluationInterface;

  /**
   * Sets the self evaluation reminder creation timestamp.
   *
   *   The self evaluation reminder creation timestamp.
   *
   * @return \Drupal\self_evaluation\SelfEvaluationReminderInterface
   *   The called self evaluation reminder entity.
   */
  public function setCreatedTime($timestamp): SelfEvaluationReminderInterface;

  /**
   * Sets the self evaluation entity.
   *
   *   The self evaluation entity.
   *
   * @return \Drupal\self_evaluation\SelfEvaluationReminderInterface
   *   The called self evaluation reminder entity.
   */
  public function setSelfEvaluation($self_evaluation): SelfEvaluationReminderInterface;

}
