<?php

namespace Drupal\self_evaluation;

use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Provides an interface defining a self evaluation theme entity type.
 */
interface SelfEvaluationThemeInterface extends ContentEntityInterface {

  /**
   * Gets the self evaluation theme title.
   *
   * @return string
   *   Title of the self evaluation theme.
   */
  public function getName();

  /**
   * Sets the self evaluation theme title.
   *
   * @param string $name
   *   The self evaluation theme title.
   *
   * @return \Drupal\self_evaluation\SelfEvaluationThemeInterface
   *   The called self evaluation theme entity.
   */
  public function setName($name);

  /**
   * Returns the self evaluation theme status.
   *
   * @return bool
   *   TRUE if the self evaluation theme is enabled, FALSE otherwise.
   */
  public function isEnabled();

  /**
   * Sets the self evaluation theme status.
   *
   * @param bool $status
   *   TRUE to enable this self evaluation theme, FALSE to disable.
   *
   * @return \Drupal\self_evaluation\SelfEvaluationThemeInterface
   *   The called self evaluation theme entity.
   */
  public function setStatus($status);

}
