<?php

namespace Drupal\self_evaluation;

use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Provides an interface defining a self evaluation theme threshold entity type.
 */
interface SelfEvaluationThemeThresholdInterface extends ContentEntityInterface {

  /**
   * Gets the self evaluation theme threshold name.
   *
   * @return string
   *   Name of the self evaluation theme threshold.
   */
  public function getName();

  /**
   * Sets the self evaluation theme threshold name.
   *
   * @param string $name
   *   The self evaluation theme threshold name.
   *
   * @return \Drupal\self_evaluation\SelfEvaluationThemeThresholdInterface
   *   The called self evaluation theme threshold entity.
   */
  public function setName($name);

}
